<?php
/**
 * Created by PhpStorm.
 * User: zero
 * Date: 2020/5/26
 * Time: 15:17
 */

namespace Meibuyu\Micro\Service\Interfaces\User;

interface AuthenticationServiceInterface
{

    /**
     * 获取对应用户能够看到的菜单
     * @param string $name
     * @param array $columns
     * @return array
     */
    public function getMenus($userId): array;


    /**
     * 获取对应用户的菜单权限
     * @param $userId
     * @return array
     */
    public function getButtons($userId):array;


    /**
     * 获取对应路由的接口权限结果
     * @param $router string 路由名字
     * @param $applicationName string 应用名字
     * @param $userId integer  用户 ID
     * @return bool
     */
    public function authByRouter($applicationName, $router, $userId):  bool;

}
